
#include <qdialog.h>
#include <qspinbox.h>
#include <qlistview.h>

class ReturnDialog : public QDialog
{
	Q_OBJECT
public:
	ReturnDialog(QWidget *parent = 0, const char *name = 0);
	virtual ~ReturnDialog();

private slots:
	void returnDVD();
	void add();
	void remove();
	
private:
	bool isOverdue(const char *date_rented) const;
	
	QSpinBox	*m_pDiskId;
	QListView	*m_pList;
};
